class KEdit

# class KEdit | A simple text editor for the KDE project. More...
Deprecated! use with care
Definition | `#include <keditcl.h>`
Inherits | QMultiLineEdit (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum { NONE, FORWARD, BACKWARD }

#### Public Methods

- KEdit (QWidget *_parent=NULL, const char *name=NULL)
- ~KEdit ()
- void insertText (QTextStream *)
- void saveText (QTextStream *, bool softWrap)
- void saveText (QTextStream *)
- void selectFont ()
- void search ()
- bool repeatSearch ()
- void replace ()
- void doGotoLine ()
- void cleanWhiteSpace ()
- void installRBPopup ( QPopupMenu* )
- int currentLine ()
- int currentColumn ()
- void spellcheck_start ()
- void spellcheck_stop ()
- void setOverwriteEnabled (bool b)

#### Signals

- void gotUrlDrop (QDropEvent* e)
- void CursorPositionChanged ()
- void toggle_overwrite_signal ()

#### Protected Methods

- void computePosition ()
- int doSearch (QString s_pattern, bool case_sensitive, bool regex, bool forward,int line, int col)
- int doReplace (QString s_pattern, bool case_sensitive, bool regex, bool forward,int line, int col,bool replace)
- void posToRowCol (unsigned int pos, unsigned int &line, unsigned int &col)
- virtual void create ( WId = 0, bool initializeWindow = true, bool destroyOldWindow = true )
- void keyPressEvent ( QKeyEvent * )
- void dragMoveEvent (QDragMoveEvent* e)
- void dragEnterEvent (QDragEnterEvent* e)
- void dropEvent (QDropEvent* e)
- void contentsDragMoveEvent (QDragMoveEvent* e)
- void contentsDragEnterEvent (QDragEnterEvent* e)
- void contentsDropEvent (QDropEvent* e)
- virtual void virtual_hook ( int id, void* data )

## Detailed Description

A simple text editor for the KDE project.

KEdit (QWidget *_parent=NULL, const char *name=NULL) | ### KEdit

The usual constructor.

~KEdit () | ### ~KEdit

enum { NONE, FORWARD, BACKWARD } | ###

Search directions.

void insertText (QTextStream *) | ### insertText

Insert text from the text stream into the edit widget.

void saveText (QTextStream *, bool softWrap) | ### saveText

Save text from the edit widget to a text stream. If `softWrap` is false soft line wrappings are replaced with line-feeds If `softWrap` is true soft line wrappings are ignored.

void saveText (QTextStream *) | ### saveText

void selectFont () | ### selectFont

Let the user select a font and set the font of the textwidget to that selected font.

void search () | ### search

Present a search dialog to the user

bool repeatSearch () | ### repeatSearch

Repeat the last search specified on the search dialog.

If the user hasn't searched for anything until now, this method will simply return without doing anything.

Returns: `true` if a search was done. `false` if no search was done.

void replace () | ### replace

Present a Search and Replace Dialog to the user.

void doGotoLine () | ### doGotoLine

Present a "Goto Line" dialog to the user.

void cleanWhiteSpace () | ### cleanWhiteSpace

Clean up redundant whitespace from selected text.

void installRBPopup ( QPopupMenu* ) | ### installRBPopup

Install a context menu for KEdit.

The Popup Menu will be activated on a right mouse button press event.

int currentLine () | ### currentLine

Retrieve the current line number.

The current line is the line the cursor is on.

int currentColumn () | ### currentColumn

Retrieve the actual column number the cursor is on.

This call differs from QMultiLineEdit::getCursorPosition() in that it returns the actual cursor position and not the character position. Use currentLine() and currentColumn() if you want to display the current line or column in the status bar for example.

void spellcheck_start () | ### spellcheck_start

Start spellchecking mode.

void spellcheck_stop () | ### spellcheck_stop

Exit spellchecking mode.

void setOverwriteEnabled (bool b) | ### setOverwriteEnabled

Allow the user to toggle between insert mode and overwrite mode with the "Insert" key. See also toggle_overwrite_signal();

The default is false: the user can not toggle.

void gotUrlDrop (QDropEvent* e) | ### gotUrlDrop

[signal]

This signal is emitted if the user dropped a URL over the text editor QMultiLineEdit widget.

Note that the user can drop also Text on it, but this is already handled internally by QMultiLineEdit.

void CursorPositionChanged () | ### CursorPositionChanged

[signal]

This signal is emitted whenever the cursor position changes.

Use this in conjunction with currentLine(), currentColumn() if you need to know the cursor position.

void toggle_overwrite_signal () | ### toggle_overwrite_signal

[signal]

This signal is emitted if the user toggles from insert to overwrite mode or vice versa.

The user can do so by pressing the "Insert" button on a PC keyboard.

This feature must be activated by calling setOverwriteEnabled(true) first.

void computePosition () | ### computePosition

[protected]

int doSearch (QString s_pattern, bool case_sensitive, bool regex, bool forward,int line, int col) | ### doSearch

[protected]

int doReplace (QString s_pattern, bool case_sensitive, bool regex, bool forward,int line, int col,bool replace) | ### doReplace

[protected]

void posToRowCol (unsigned int pos, unsigned int &line, unsigned int &col) | ### posToRowCol

[protected]

Sets line and col to the position pos, considering word wrap.

void create ( WId = 0, bool initializeWindow = true, bool destroyOldWindow = true ) | ### create

[protected virtual]

Reimplemented for internal reasons, the API is not affected.

void keyPressEvent ( QKeyEvent * ) | ### keyPressEvent

[protected]

void dragMoveEvent (QDragMoveEvent* e) | ### dragMoveEvent

[protected]

void dragEnterEvent (QDragEnterEvent* e) | ### dragEnterEvent

[protected]

void dropEvent (QDropEvent* e) | ### dropEvent

[protected]

void contentsDragMoveEvent (QDragMoveEvent* e) | ### contentsDragMoveEvent

[protected]

void contentsDragEnterEvent (QDragEnterEvent* e) | ### contentsDragEnterEvent

[protected]

void contentsDropEvent (QDropEvent* e) | ### contentsDropEvent

[protected]

void virtual_hook ( int id, void* data ) | ### virtual_hook

[protected virtual]

- Author: Bernd Johannes Wuebben , Waldo Bastian
- Generated: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:37 2003, using kdoc 2.0a54.